#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	upnp
#-----------------------------------------------------------------------------
Name		:	libupnp
Version		:	1.14.12
Release		:	14.8.0.0%{?dist}
Summary		:	Universal Plug and Play (UPnP) SDK
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Boost Software License
URL		:	https://sourceforge.net/projects/pupnp/files/pupnp

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	make
BuildRequires	:	gcc
BuildRequires	:	libtool
#-----------------------------------------------------------------------------
%description
The Universal Plug and Play (UPnP) SDK for Linux provides 
support for building UPnP-compliant control points, devices,
and bridges on Linux.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING THANKS
%{_libdir}/%{name}.so.*
%{_libdir}/libixml.so.*

#=============================================================================
%package		devel
Summary		:	Include files needed for development with libupnp

#-----------------------------------------------------------------------------
Requires	:	libupnp		= %{version}-%{release}
#-----------------------------------------------------------------------------
%description		devel
The libupnp-devel package contains the files necessary for
development with the UPnP SDK libraries.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{sname}/*.h
%{_libdir}/%{name}.so
%{_libdir}/libixml.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%prep
%setup -q -n pupnp-release-%{version}

#-----------------------------------------------------------------------------
%build
autoreconf -vif
./configure						\
        --prefix %{_prefix}				\
        --sysconfdir %{_sysconfdir}			\
        --includedir %{_includedir}			\
	--bindir %{_bindir}				\
	--libdir %{_libdir}				\
	--datadir %{_datadir}				\
	--libexecdir %{_libexecdir}			\
	--docdir %{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
